com.sun.syndication.feed.rss

## Class Item

- java.lang.Object
- - com.sun.syndication.feed.rss.Item

All Implemented Interfaces:
  Extendable, java.io.Serializable, java.lang.Cloneable

    public class Item
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable, Extendable

Bean for items of RSS feeds.

It handles all RSS versions without loosing information.

For RSS1.0 it supports Dublin Core and Syndication modules. Note that those modules currently support simple syntax format only.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Item()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getAuthor()` Returns the item author.
`java.util.List` `getCategories()` Returns the item categories.
`java.lang.String` `getComments()` Returns the item comments.
`Content` `getContent()` Returns the item content.
`Description` `getDescription()` Returns the item description.
`java.util.List` `getEnclosures()` Returns the item enclosures.
`java.util.Date` `getExpirationDate()` Returns the item expiration date.
`java.lang.Object` `getForeignMarkup()` Returns foreign markup found at item level.
`Guid` `getGuid()` Returns the item GUID.
`java.lang.String` `getLink()` Returns the item link.
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the item modules.
`java.util.Date` `getPubDate()` Returns the item publishing date.
`Source` `getSource()` Returns the item source.
`java.lang.String` `getTitle()` Returns the item title.
`java.lang.String` `getUri()` Returns the item uri.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setAuthor(java.lang.String author)` Sets the item author.
`void` `setCategories(java.util.List categories)` Sets the item categories.
`void` `setComments(java.lang.String comments)` Sets the item comments.
`void` `setContent(Content content)` Sets the item content.
`void` `setDescription(Description description)` Sets the item description.
`void` `setEnclosures(java.util.List enclosures)` Sets the item enclosures.
`void` `setExpirationDate(java.util.Date expirationDate)` Sets the item expiration date.
`void` `setForeignMarkup(java.lang.Object foreignMarkup)` Sets foreign markup found at item level.
`void` `setGuid(Guid guid)` Sets the item GUID.
`void` `setLink(java.lang.String link)` Sets the item link.
`void` `setModules(java.util.List modules)` Sets the item modules.
`void` `setPubDate(java.util.Date pubDate)` Sets the item publishing date.
`void` `setSource(Source source)` Sets the item source.
`void` `setTitle(java.lang.String title)` Sets the item title.
`void` `setUri(java.lang.String uri)` Sets the item uri.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Item

    public Item()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getTitle

    public java.lang.String getTitle()

Returns the item title.

Returns:
  the item title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the item title.

Parameters:
  `title` - the item title to set, null if none.

#### getLink

    public java.lang.String getLink()

Returns the item link.

Returns:
  the item link, null if none.

#### setLink

    public void setLink(java.lang.String link)

Sets the item link.

Parameters:
  `link` - the item link to set, null if none.

#### getUri

    public java.lang.String getUri()

Returns the item uri.

Returns:
  the item uri, null if none.

#### setUri

    public void setUri(java.lang.String uri)

Sets the item uri.

Parameters:
  `uri` - the item uri to set, null if none.

#### getDescription

    public Description getDescription()

Returns the item description.

Returns:
  the item description, null if none.

#### setDescription

    public void setDescription(Description description)

Sets the item description.

Parameters:
  `description` - the item description to set, null if none.

#### getContent

    public Content getContent()

Returns the item content.

Returns:
  the item content, null if none.

#### setContent

    public void setContent(Content content)

Sets the item content.

Parameters:
  `content` - the item content to set, null if none.

#### getSource

    public Source getSource()

Returns the item source.

Returns:
  the item source, null if none.

#### setSource

    public void setSource(Source source)

Sets the item source.

Parameters:
  `source` - the item source to set, null if none.

#### getEnclosures

    public java.util.List getEnclosures()

Returns the item enclosures.

Returns:
  a list of Enclosure elements with the item enclosures, an empty list if none.

#### setEnclosures

    public void setEnclosures(java.util.List enclosures)

Sets the item enclosures.

Parameters:
  `enclosures` - the list of Enclosure elements with the item enclosures to set, an empty list or null if none.

#### getCategories

    public java.util.List getCategories()

Returns the item categories.

Returns:
  a list of Category elements with the item categories, an empty list if none.

#### setCategories

    public void setCategories(java.util.List categories)

Sets the item categories.

Parameters:
  `categories` - the list of Categories elements with the item categories to set, an empty list or null if none.

#### getGuid

    public Guid getGuid()

Returns the item GUID.

Returns:
  the item GUID, null if none.

#### setGuid

    public void setGuid(Guid guid)

Sets the item GUID.

Parameters:
  `guid` - the item GUID to set, null if none.

#### getComments

    public java.lang.String getComments()

Returns the item comments.

Returns:
  the item comments, null if none.

#### setComments

    public void setComments(java.lang.String comments)

Sets the item comments.

Parameters:
  `comments` - the item comments to set, null if none.

#### getAuthor

    public java.lang.String getAuthor()

Returns the item author.

Returns:
  the item author, null if none.

#### setAuthor

    public void setAuthor(java.lang.String author)

Sets the item author.

Parameters:
  `author` - the item author to set, null if none.

#### getModules

    public java.util.List getModules()

Returns the item modules.

Specified by:
  `getModules` in interface `Extendable`
Returns:
  a list of ModuleImpl elements with the item modules, an empty list if none.

#### setModules

    public void setModules(java.util.List modules)

Sets the item modules.

Specified by:
  `setModules` in interface `Extendable`
Parameters:
  `modules` - the list of ModuleImpl elements with the item modules to set, an empty list or null if none.

#### getModule

    public Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Specified by:
  `getModule` in interface `Extendable`
Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.

#### getPubDate

    public java.util.Date getPubDate()

Returns the item publishing date.

Returns:
  the item publishing date, null if none.

#### setPubDate

    public void setPubDate(java.util.Date pubDate)

Sets the item publishing date.

Parameters:
  `pubDate` - the item publishing date to set, null if none.

#### getExpirationDate

    public java.util.Date getExpirationDate()

Returns the item expiration date.

Returns:
  the item expiration date, null if none.

#### setExpirationDate

    public void setExpirationDate(java.util.Date expirationDate)

Sets the item expiration date.

Parameters:
  `expirationDate` - the item expiration date to set, null if none.

#### getForeignMarkup

    public java.lang.Object getForeignMarkup()

Returns foreign markup found at item level.

Returns:
  Opaque object to discourage use

#### setForeignMarkup

    public void setForeignMarkup(java.lang.Object foreignMarkup)

Sets foreign markup found at item level.

Parameters:
  `foreignMarkup` - Opaque object to discourage use